UbixOS V2 2.0

Functions
mouse.c File Reference
`#include <isa/mouse.h>`
`#include <isa/8259.h>`
`#include <sys/idt.h>`
`#include <sys/gdt.h>`
`#include <sys/io.h>`
`#include <lib/kprintf.h>`
Include dependency graph for mouse.c:

Go to the source code of this file.

## Functions
| asm (".globl mouseISR \n" "mouseISR: \n" " pusha \n" " call mouseHandler \n" " popa \n" " iret \n")
void | mouseHandler ()
int | mouseInit ()

## Function Documentation

## ◆ asm()

asm | ( | ".globl mouseISR \n" "mouseISR: \n" " pusha \n" " call mouseHandler \n" " popa \n" " iret \n" |  | ) |

## ◆ mouseHandler()

void mouseHandler | ( |  | ) |

Definition at line 131 of file mouse.c.

References eoi, kprintf(), mPic, outportByte(), and sPic.

Here is the call graph for this function:

## ◆ mouseInit()

int mouseInit | ( |  | ) |

Definition at line 84 of file mouse.c.